> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token

> Gets the metadata for a token.

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml get /tokens/tokens
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /tokens/tokens:
    get:
      tags:
        - Tokens
      summary: Get Token
      description: Gets the metadata for a token.
      operationId: tokens_get
      parameters:
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Network'
        - name: token
          in: query
          description: token contract address or symbol in case of the gas token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Token'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    Token:
      title: Token
      type: object
      properties:
        uuid:
          type: string
        network:
          $ref: '#/components/schemas/Network'
        contract_address:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        display_decimals:
          type: integer
        logo_url:
          type: string
          nullable: true
      required:
        - uuid
        - network
        - contract_address
        - name
        - symbol
        - decimals
        - display_decimals
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````